package hycom.utils;

import java.net.URL;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Document;

/**
 * Narzędzia wykorzystywane w aplikacji
 */
public class AppUtils {

	public static String generateLink(String hostAddress, String appName, String formName, String formId) {
		StringBuilder linkBuilder = new StringBuilder();
		linkBuilder.append(hostAddress);
		if (!hostAddress.endsWith("/")) {
			linkBuilder.append("/");
		}
		linkBuilder.append("fr/");
		linkBuilder.append(appName.concat("/"));
		linkBuilder.append(formName.concat("/"));
		linkBuilder.append("view/");
		linkBuilder.append(formId);

		return linkBuilder.toString();
	}

	public static Document loadDocumentUrl(String url) throws Exception {
		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
		factory.setNamespaceAware(true);
		return factory.newDocumentBuilder().parse(new URL(url).openStream());
	}

}
