/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.entity;

import eu.mooseinc.dell.form.entity.base.BaseEntity;
import eu.mooseinc.dell.form.entity.query.MembershipTypeQueries.GetMembershipTypesQuery;
import eu.mooseinc.dell.form.util.ColumnLengthConstants;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 * Type of membership entity
 */
@Entity
@Table(name = MembershipType.TABLE_NAME)
@NamedQueries(//
		@NamedQuery(//
				name = GetMembershipTypesQuery.NAME,//
				query = GetMembershipTypesQuery.QUERY//
		)//
)
public class MembershipType extends BaseEntity {
	/**
	 * Table name.
	 */
	public static final String TABLE_NAME = "registration_membership";


	/**
	 * Type of membership.
	 */
	@Column(name = "membership_type", length = ColumnLengthConstants.SHORT_TEXT_LENGTH, nullable = false)
	private String registrationMembership;

	/**
	 * Constructor.
	 */
	public MembershipType() {
	}

	/**
	 * Get type of membership.
	 *
	 * @return nazwa firmy.
	 */
	public String getRegistrationMembership() {
		return registrationMembership;
	}

	/**
	 * Set type of membership.
	 *
	 * @param registrationMembership nazwa firmy.
	 */
	public void setRegistrationMembership(String registrationMembership) {
		this.registrationMembership = registrationMembership;
	}

}
