/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.service;

import eu.mooseinc.dell.form.exception.ServiceException;
import eu.mooseinc.dell.form.model.Attachment;
import java.util.List;

/**
 * Email Service
 */
public interface MailService {
	/**
	 * Send message
	 *
	 * @param to message recipients
	 * @param subject message subject
	 * @param text body message
	 * @param attachments list of attachments, cannot be {@code null}.
	 *
	 * @throws ServiceException jeśli wystąpi błąd podczas wysyłania wiadomości.
	 */
	void send(String[] to, String subject, String text, List<Attachment> attachments) throws ServiceException;

	/**
	 * Sending e-mail message.
	 *
	 * @param to message recipients
	 * @param cc message copy recipients
	 * @param subject message subject
	 * @param text body message
	 * @param attachments list of attachments, cannot be {@code null}.
	 *
	 * @throws ServiceException jeśli wystąpi błąd podczas wysyłania wiadomości.
	 */
	void send(String[] to, String cc, String subject, String text, List<Attachment> attachments) throws ServiceException;
}
