/*********************************************************************************************************************************
 * Autorskie Prawa Majątkowe - Moose Spółka z ograniczoną odpowiedzialnością
 *
 * Copyright 2017 Moose Spółka z ograniczoną odpowiedzialnością
 ********************************************************************************************************************************/

package eu.mooseinc.dell.form.service.impl;

import java.io.File;
import java.io.IOException;
import org.apache.commons.io.FileUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * Service for temporary files.
 */
@Service
public class TemporaryDirectoryService implements InitializingBean {
	private static final Logger logger = LoggerFactory.getLogger(TemporaryDirectoryService.class);

	@Value("${temporary.directory}")
	private String tempDir;

	@Override
	public void afterPropertiesSet() throws Exception {
		cleanTemporaryDirectory();
	}

	/**
	 * Clear temporary folder.
	 *
	 * @throws IOException jeśli wystąpi błąd podczas wczytywania katalogu.
	 */
	private void cleanTemporaryDirectory() throws IOException {
		final File directory = new File(tempDir);
		FileUtils.cleanDirectory(directory);
		logger.debug("Temporary folder cleared");
	}
}
